library airbridge;

import 'package:flutter/services.dart';

import 'package:airbridge_flutter_sdk/interface/deeplink_api.dart';
import 'package:airbridge_flutter_sdk/interface/event_api.dart';
import 'package:airbridge_flutter_sdk/interface/state_api.dart';
import 'package:airbridge_flutter_sdk/interface/setting_api.dart';
import 'package:airbridge_flutter_sdk/interface/placement_api.dart';

export 'export.dart';

class Airbridge {
    static final EventAPI event = EventAPI(
        const MethodChannel('airbridge_flutter_sdk/method/event')
    );
    static final DeeplinkAPI deeplink = DeeplinkAPI(
        const EventChannel('airbridge_flutter_sdk/event/deeplink'),
        const EventChannel('airbridge_flutter_sdk/event/deferred_deeplink')
    );
    static final StateAPI state = StateAPI(
        const MethodChannel('airbridge_flutter_sdk/method/state')
    );
    static final SettingAPI setting = SettingAPI(
        const MethodChannel('airbridge_flutter_sdk/method/setting')
    );
    static final PlacementAPI placement = PlacementAPI(
        const MethodChannel('airbridge_flutter_sdk/method/placement')
    );
}
