import 'package:airbridge_flutter_sdk/data/event_option.dart';
import 'package:airbridge_flutter_sdk/data/user.dart';
import 'package:airbridge_flutter_sdk/event/event.dart';

class SignInEvent extends Event {
    static const String CATEGORY = 'airbridge.user.signin';

    User user;

    SignInEvent({this.user,
        EventOption option})
        : super(CATEGORY, option: option);

    @override
    Map<String, dynamic> toMap() {
        return {
            'category': category,
            'option': option?.toMap(),
            'user': user?.toMap(),
        };
    }
}